### Function

# Gsk rect_snap_new

unstable since: 4.24

#### Declaration [src]

    GskRectSnap
    gsk_rect_snap_new (
      GskSnapDirection top,
      GskSnapDirection right,
      GskSnapDirection bottom,
      GskSnapDirection left
    )

#### Description [src]

Creates a new way to snap rectangles for the 4 given sides.

Available since: 4.24

#### Parameters

`top`

  Type: `GskSnapDirection`

  How to snap the top edge.

`right`

  Type: `GskSnapDirection`

  How to snap the right edge.

`bottom`

  Type: `GskSnapDirection`

  How to snap the bottom edge.

`left`

  Type: `GskSnapDirection`

  How to snap the left edge.

#### Return value

Type: `GskRectSnap`

A description for how to snap rectangles.